Managed Database Columns - Get
获取托管数据库列
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/databases/{databaseName}/schemas/{schemaName}/tables/{tableName}/columns/{columnName}?api-version=2025-01-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
column
|
path | True |
string |
列的名称。 |
|
database
|
path | True |
string |
数据库的名称。 |
|
managed
|
path | True |
string |
托管实例的名称。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
资源组的名称。 此名称不区分大小写。 |
|
schema
|
path | True |
string |
架构的名称。 |
|
subscription
|
path | True |
string (uuid) |
目标订阅的 ID。 该值必须是 UUID。 |
|
table
|
path | True |
string |
表的名称。 |
|
api-version
|
query | True |
string minLength: 1 |
用于此作的 API 版本。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
Azure 运营顺利完成。 |
|
| Other Status Codes |
意外的错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow.
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
Get managed database column
示例请求
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myRG/providers/Microsoft.Sql/managedInstances/myManagedInstanceName/databases/myDatabase/schemas/dbo/tables/table1/columns/column1?api-version=2025-01-01
示例响应
{
"name": "column1",
"type": "Microsoft.Sql/managedInstances/databases/schemas/tables/columns",
"id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/myRG/providers/Microsoft.Sql/managedInstances/myManagedInstanceName/databases/myDatabase/schemas/dbo/tables/table1/columns/column1",
"properties": {
"columnType": "bit"
}
}
定义
| 名称 | 说明 |
|---|---|
|
Column |
列数据类型。 |
|
created |
创建资源的标识的类型。 |
|
Database |
数据库列资源。 |
|
Error |
资源管理错误附加信息。 |
|
Error |
错误详细信息。 |
|
Error |
错误响应 |
|
system |
与创建和上次修改资源相关的元数据。 |
|
Table |
表时态类型。 |
ColumnDataType
列数据类型。
| 值 | 说明 |
|---|---|
| image |
图像 |
| text |
文本消息 |
| uniqueidentifier |
唯一标识符 (uniqueidentifier) |
| date |
date |
| time |
时间 |
| datetime2 |
datetime2 |
| datetimeoffset |
datetimeoffset |
| tinyint |
tinyint |
| smallint |
smallint |
| int |
int |
| smalldatetime |
smalldatetime |
| real |
real |
| money |
钱 |
| datetime |
日期/时间 |
| float |
float |
| sql_variant |
sql_variant |
| ntext |
ntext |
| bit |
比特 |
| decimal |
十进制 |
| numeric |
数字 |
| smallmoney |
smallmoney |
| bigint |
bigint |
| hierarchyid |
hierarchyid |
| geometry |
几何 |
| geography |
地理 |
| varbinary |
varbinary |
| varchar |
varchar |
| binary |
二进制 |
| char |
字符型 |
| timestamp |
时间戳 |
| nvarchar |
nvarchar |
| nchar |
nchar |
| xml |
xml |
| sysname |
sysname |
createdByType
创建资源的标识的类型。
| 值 | 说明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DatabaseColumn
数据库列资源。
| 名称 | 类型 | 说明 |
|---|---|---|
| id |
string (arm-id) |
资源的完全限定资源 ID。 例如,“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}” |
| name |
string |
资源的名称 |
| properties.columnType |
列数据类型。 |
|
| properties.isComputed |
boolean |
是否计算列。 |
| properties.memoryOptimized |
boolean |
列是否属于内存优化表。 |
| properties.temporalType |
表时态类型。 |
|
| systemData |
Azure 资源管理器 包含 createdBy 和 modifiedBy 信息的元数据。 |
|
| type |
string |
资源类型。 例如,“Microsoft。计算/虚拟机“或”Microsoft“。存储/存储账户” |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
object |
附加信息。 |
| type |
string |
附加信息类型。 |
ErrorDetail
错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详细信息。 |
|
| message |
string |
错误消息。 |
| target |
string |
错误目标。 |
ErrorResponse
错误响应
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象。 |
systemData
与创建和上次修改资源相关的元数据。
| 名称 | 类型 | 说明 |
|---|---|---|
| createdAt |
string (date-time) |
资源创建时间戳(UTC)。 |
| createdBy |
string |
创建资源的标识。 |
| createdByType |
创建资源的标识的类型。 |
|
| lastModifiedAt |
string (date-time) |
资源上次修改的时间戳 (UTC) |
| lastModifiedBy |
string |
上次修改资源的标识。 |
| lastModifiedByType |
上次修改资源的标识的类型。 |
TableTemporalType
表时态类型。
| 值 | 说明 |
|---|---|
| NonTemporalTable |
非时间表 |
| HistoryTable |
历史表 |
| SystemVersionedTemporalTable |
SystemVersionedTemporalTable |